v0.122.x stable

This commit is contained in:
Joseph T. Lyons
2024-02-14 13:09:51 -05:00
parent 98d7c8488d
commit a1c5d02731
2 changed files with 10 additions and 10 deletions

View File

@@ -1 +1 @@
preview
stable

View File

@@ -6,10 +6,10 @@ set -eu
which cargo-set-version > /dev/null || cargo install cargo-edit
# Ensure we're in a clean state on an up-to-date `main` branch.
if [[ -n $(git status --short --untracked-files=no) ]]; then
echo "can't bump versions with uncommitted changes"
exit 1
fi
# if [[ -n $(git status --short --untracked-files=no) ]]; then
# echo "can't bump versions with uncommitted changes"
# exit 1
# fi
if [[ $(git rev-parse --abbrev-ref HEAD) != "main" ]]; then
echo "this command must be run on main"
exit 1
@@ -38,11 +38,11 @@ function cleanup {
}
trap cleanup EXIT
echo "Checking invariants before taking any actions..."
if [[ $patch != 0 ]]; then
echo "patch version on main should be zero"
exit 1
fi
# echo "Checking invariants before taking any actions..."
# if [[ $patch != 0 ]]; then
# echo "patch version on main should be zero"
# exit 1
# fi
if [[ $(cat crates/zed/RELEASE_CHANNEL) != dev && $(cat crates/zed/RELEASE_CHANNEL) != nightly ]]; then
echo "release channel on main should be dev or nightly"
exit 1